Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003227 [JEDI VCL] 00 JVCL Components major always 2005-09-23 04:41 2006-04-05 01:23
Reporter olega View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003227: TNavigationPane - OnChanging event - AllowChange
Description Setting AllowChange:=false does not work. Page changes but ActivePageIndex remains the same.
The main reason as I think is inconsequent order of events: Page.OnShow event is fired BEFORE Pane.OnChanging.
Additional Information JvPageList.pas 1.29
JvNavigationPane.pas 1.85
But this is also true for earlier versions - 1.28 and 1.81 respectively
Tags No tags attached.
Attached Files zip file icon Project1.zip [^] (2,100 bytes) 2005-09-23 04:41

- Relationships

-  Notes
(0008857)
obones (administrator)
2006-04-04 03:42

A fix for this is ready to be commited, as soon as CVS is back online:

http://sourceforge.net/docs/A04/ [^]
(0008943)
obones (administrator)
2006-04-05 01:23

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-09-23 04:41 olega New Issue
2005-09-23 04:41 olega File Added: Project1.zip
2006-01-07 15:07 bali001 Issue Monitored: bali001
2006-04-04 03:42 obones Note Added: 0008857
2006-04-04 03:42 obones Status new => confirmed
2006-04-05 01:23 obones Status confirmed => resolved
2006-04-05 01:23 obones Resolution open => fixed
2006-04-05 01:23 obones Assigned To => obones
2006-04-05 01:23 obones Note Added: 0008943
2006-07-22 09:07 bali001 Issue End Monitor: bali001


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker